Bug 1249329 - Review Request: percol - Interactive selection to the traditional pipe concept on UNIX
Summary: Review Request: percol - Interactive selection to the traditional pipe concep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1249313
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-01 16:02 UTC by Pavel Alexeev
Modified: 2016-01-19 23:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-19 23:29:22 UTC
jujens: fedora-review+


Attachments (Terms of Use)

Description Pavel Alexeev 2015-08-01 16:02:45 UTC
Spec URL: https://raw.githubusercontent.com/Hubbitus/Fedora-packaging/690aad453d0ef433432e427d67d6e4796277d222/SPECS/percol.spec
SRPM URL: http://rpm.hubbitus.info/Fedora22/percol/percol-0.1.1-0.1.git.b567f41.fc22.src.rpm
Description:
percol is an interactive grep tool in your terminal. percol

receives input lines from stdin or a file,
lists up the input lines,
waits for your input that filter/select the line(s),
and finally outputs the selected line(s) to stdout.
Since percol just filters the input and output the result to stdout, it can be
used in command-chains with | in your shell (UNIX philosophy!).

Fedora Account System Username: hubbitus

Comment 1 Paolo Antinori 2015-09-29 10:04:07 UTC
I'd like to see this package added to the distro too.

Comment 2 Pavel Alexeev 2015-10-17 21:17:30 UTC
Hi Paolo.
May be you are willing make review?

Comment 3 Julien Enselme 2015-11-27 12:35:25 UTC
- I think the description requires reformating.
- Licensing issue (see below)
- Deps issue (see below)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 28 files have unknown license. Detailed
     output of licensecheck in /tmp/1249329-percol/licensecheck.txt
     
     The setup.py files states that percol is distributed under the MIT license but your SPEC says GPLv2+. You should also ask upstream to include a license file.
     
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.5/site-packages,
     /usr/lib/python3.5
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.5/site-
     packages, /usr/lib/python3.5
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
Requires: python3-cmigemo is missing


[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
- ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: percol-0.1.1-0.1.git.b567f41.fc24.noarch.rpm
          percol-0.1.1-0.1.git.b567f41.fc24.src.rpm
percol.noarch: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
percol.noarch: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/view.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/display.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/command.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/ansi.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/action.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/key.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/info.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/__init__.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/tty.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/actions.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/model.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/cli.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/markup.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/lazyarray.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/debug.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/finder.cpython-35.opt-1.pyc
percol.noarch: W: no-manual-page-for-binary percol
percol.src: W: spelling-error %description -l en_US stdin -> stein, stain, stdio
percol.src: W: spelling-error %description -l en_US stdout -> stout, std out, std-out
2 packages and 0 specfiles checked; 0 errors, 21 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/key.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/model.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/finder.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/action.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/tty.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/display.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/__init__.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/debug.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/lazyarray.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/markup.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/ansi.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/info.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/cli.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/actions.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/view.cpython-35.opt-1.pyc
percol.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/percol/__pycache__/command.cpython-35.opt-1.pyc
percol.noarch: W: no-manual-page-for-binary percol
1 packages and 0 specfiles checked; 0 errors, 17 warnings.



Requires
--------
percol (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-six



Provides
--------
percol:
    percol



Source checksums
----------------
https://github.com/mooz/percol/archive/b567f41830f3ac814e71688f9d2e13ea337f618d.tar.gz#/percol-b567f41.tar.gz :
  CHECKSUM(SHA256) this package     : 6801467429a9eec79441f3c12bb81cb229aea4436ef874af5c9a2d9a69f820d1
  CHECKSUM(SHA256) upstream package : 6801467429a9eec79441f3c12bb81cb229aea4436ef874af5c9a2d9a69f820d1


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1249329
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Upstream Release Monitoring 2015-11-28 20:45:10 UTC
hubbitus's scratch build of percol-0.1.1-0.2.git.b567f41.fc23.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12005600

Comment 6 Julien Enselme 2015-11-29 15:16:53 UTC
You should use the new %py3_build and %py3_install macro (see https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file).

Otherwise, every thing else looks fine. Approved.

Comment 7 Pavel Alexeev 2015-11-29 20:57:11 UTC
Thank you very much for the review Julien.

Would you like I also review something for you?

Comment 8 Gwyn Ciesla 2015-11-29 22:45:51 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/percol

Comment 9 Fedora Update System 2016-01-05 21:24:04 UTC
percol-0.1.1-0.4.git.b567f41.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-920e978222

Comment 10 Fedora Update System 2016-01-05 21:30:06 UTC
percol-0.1.1-0.4.git.b567f41.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0308ae02b

Comment 11 Fedora Update System 2016-01-07 04:54:35 UTC
percol-0.1.1-0.4.git.b567f41.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-920e978222

Comment 12 Fedora Update System 2016-01-07 05:24:18 UTC
percol-0.1.1-0.4.git.b567f41.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0308ae02b

Comment 13 Fedora Update System 2016-01-19 23:29:20 UTC
percol-0.1.1-0.4.git.b567f41.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-01-19 23:56:34 UTC
percol-0.1.1-0.4.git.b567f41.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.